Bug 168657 - show enemies ships after game ends
Summary: show enemies ships after game ends
Status: RESOLVED FIXED
Alias: None
Product: knavalbattle
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0
Platform: unspecified Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Paolo Capriotti
URL:
Keywords:
: 307201 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-08-07 20:51 UTC by Richard Hartmann
Modified: 2014-01-02 09:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Hartmann 2008-08-07 20:51:06 UTC
Version:           2.0 (using 4.1.00 (KDE 4.1.0), Debian packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.26-1-686

After the game ends, the positions of the ships you did not hit should be disclosed.
A computer opponent won't care if this is done.
When two humans play against each other, it would equal out the chances a bit as, at the moment, the winner gets more information about the tactics his/her opponent employed.
Comment 1 Christoph Feck 2012-09-22 11:38:47 UTC
*** Bug 307201 has been marked as a duplicate of this bug. ***
Comment 2 Jaime Torres 2014-01-02 09:30:26 UTC
Git commit 3ce7eb57f40a39c096661c919909c90ebc753cfe by Jaime Torres.
Committed on 02/01/2014 at 09:24.
Pushed by jtamate into branch 'KDE/4.12'.

Show not shunk ships when the game finishes

This patch includes the work done by Roney in the show-ships branch
but I still do not know how to merge out of date branches.
My work is only the two phase end of game of the network part.

How does it accomplishes its purpose?
* The end game has now two phases, first send/receive the ships in the
GameOverMessage, then the end game part.
* All the entities include a reference to the SeaView to be able to show
 the ships (included in the parent class Entity)
* The shoots are drawn over the ships
* Instead of a parameter, the flag of adjacent ships is now a member
 (grabbed from the multiple ships patch).
* The ships have now the coordinates where they are.
* The GameOverMessage was already ready to send/receive ships
 (with a little bug off_by_1 fixed).
* Changed the name of a variable from a confusing name m_sea to a more
 clear m_seaview
* There are now two lists of ships (for both entities to be able to
 interchange the ships)

* It does not include configuration for this functionality, I think
 everybody expects this behavior from this kind of game.
FIXED-IN: 4.12
REVIEW: 114620

M  +2    -2    src/ai/dummyai.cpp
M  +2    -2    src/ai/smartai.cpp
M  +3    -2    src/aientity.cpp
M  +4    -4    src/aientity.h
M  +4    -4    src/battlefield.cpp
M  +3    -2    src/battlefield.h
M  +7    -6    src/battlefieldview.cpp
M  +9    -3    src/battlefieldview.h
M  +14   -10   src/controller.cpp
M  +4    -3    src/controller.h
M  +1    -1    src/coord.h
M  +2    -1    src/entity.cpp
M  +5    -1    src/entity.h
M  +30   -10   src/networkentity.cpp
M  +7    -3    src/networkentity.h
M  +16   -12   src/playerentity.cpp
M  +16   -16   src/playfield.cpp
M  +2    -2    src/playfield.h
M  +2    -2    src/protocol.cpp
M  +20   -3    src/sea.cpp
M  +8    -1    src/sea.h
M  +4    -4    src/seaview.cpp
M  +2    -2    src/seaview.h
M  +12   -1    src/ship.cpp
M  +9    -2    src/ship.h
M  +3    -3    src/simplemenu.cpp
M  +26   -9    src/uientity.cpp
M  +3    -2    src/uientity.h

http://commits.kde.org/knavalbattle/3ce7eb57f40a39c096661c919909c90ebc753cfe
Comment 3 Jaime Torres 2014-01-02 09:32:13 UTC
Git commit 5bf99b76f61a762bdd8cbc6d14d89ea202c03e41 by Jaime Torres.
Committed on 02/01/2014 at 09:24.
Pushed by jtamate into branch 'master'.

Show not shunk ships when the game finishes

This patch includes the work done by Roney in the show-ships branch
but I still do not know how to merge out of date branches.
My work is only the two phase end of game of the network part.

How does it accomplishes its purpose?
* The end game has now two phases, first send/receive the ships in the
GameOverMessage, then the end game part.
* All the entities include a reference to the SeaView to be able to show
 the ships (included in the parent class Entity)
* The shoots are drawn over the ships
* Instead of a parameter, the flag of adjacent ships is now a member
 (grabbed from the multiple ships patch).
* The ships have now the coordinates where they are.
* The GameOverMessage was already ready to send/receive ships
 (with a little bug off_by_1 fixed).
* Changed the name of a variable from a confusing name m_sea to a more
 clear m_seaview
* There are now two lists of ships (for both entities to be able to
 interchange the ships)

* It does not include configuration for this functionality, I think
 everybody expects this behavior from this kind of game.
FIXED-IN: 4.12
REVIEW: 114620

M  +2    -2    src/ai/dummyai.cpp
M  +2    -2    src/ai/smartai.cpp
M  +3    -2    src/aientity.cpp
M  +4    -4    src/aientity.h
M  +4    -4    src/battlefield.cpp
M  +3    -2    src/battlefield.h
M  +7    -6    src/battlefieldview.cpp
M  +9    -3    src/battlefieldview.h
M  +14   -10   src/controller.cpp
M  +4    -3    src/controller.h
M  +1    -1    src/coord.h
M  +2    -1    src/entity.cpp
M  +5    -1    src/entity.h
M  +30   -10   src/networkentity.cpp
M  +7    -3    src/networkentity.h
M  +16   -12   src/playerentity.cpp
M  +16   -16   src/playfield.cpp
M  +2    -2    src/playfield.h
M  +2    -2    src/protocol.cpp
M  +20   -3    src/sea.cpp
M  +8    -1    src/sea.h
M  +4    -4    src/seaview.cpp
M  +2    -2    src/seaview.h
M  +12   -1    src/ship.cpp
M  +9    -2    src/ship.h
M  +3    -3    src/simplemenu.cpp
M  +26   -9    src/uientity.cpp
M  +3    -2    src/uientity.h

http://commits.kde.org/knavalbattle/5bf99b76f61a762bdd8cbc6d14d89ea202c03e41